function love.load()
	font = love.graphics.newFont('Algerian.ttf',60)
	font80 = love.graphics.newFont('Algerian.ttf',80)
	font20 = love.graphics.newFont('Algerian.ttf',20)
	font30 = love.graphics.newFont('Algerian.ttf',30)

	secp = newCircle(400,400,388,60*3)
	minp = newCircle(400,400,370,60)
	minpc = newCircle(400,400,400,60)
	numberp = newCircle(400,400,370 - font:getHeight() + 38,12)
	numberp2 = newCircle(400,400,370 - font:getHeight() + 28,12)
	numbermp = newCircle(400,400,200,60)

	MIndex = {'5','10','15','20','25','30','35','40','45','50','55','60/0',5,10,15,20,25,30,35,40,45,50,55,60}


	MSIndex = {}
	local n = 60 + 1/3
	for i=1,#secp/2 do
		MSIndex[#MSIndex+1] = n - 1/3
		n = n - 1/3
	end

	love.window.setMode(820, 820,{fsaa=16})

	love.graphics.setFont(font)
	love.graphics.setBackgroundColor(0, 16, 32, 255)

	time = {}
	time.os = tonumber(os.date("%S",os.time()))
	time.ms = 0

	show = false
end

function love.update(dt)
	time.s = tonumber(os.date("%S",os.time()))

	if not time.start then
		if time.os ~= time.s then
			time.os = time.s
			time.start = true
		end
	end
	if time.start then
		time.ms = time.ms + dt
		if time.ms >= 1 then
			time.os = time.s
			time.ms = 0
		end
	end

	time.m = tonumber(os.date("%M",os.time()))
	time.h = tonumber(os.date("%I",os.time()))
	time.state = os.date("%p",os.time())
end

function love.draw(...)
	love.graphics.translate(10,10)

	love.graphics.setColor(0, 32, 64, 255)
	love.graphics.circle('fill', 400, 400, 400, 128)
	local n = 1
	for i,v in ipairs(secp) do
		if i/2 ~= math.floor(i/2) then --in x
			love.graphics.setColor(0, 16, 32, 255)
			if time.os+time.ms >= (MSIndex[n+1] or 0) and time.os+time.ms <= MSIndex[n] then
				love.graphics.setColor(255,128,0,255)
			end
			n=n+1
			love.graphics.circle('fill', secp[i], secp[i+1],2)
		end
	end

	local n=0
	local c=60
	local min
	for i,v in ipairs(minp) do
		if i/2 ~= math.floor(i/2) then --in x
			local r = 5
			if n == 5 then
				love.graphics.setColor(0,128,128,255)
				n=0
			else
				love.graphics.setColor(0,0,128,255)
			end
			if c == time.s then
				love.graphics.setColor(255,128,0,255)
			end
			if c == time.m then
				r = 10
				love.graphics.setColor(255,64,0,255)
				min = {minpc[i], minpc[i+1]}
			end
			c=c-1
			love.graphics.circle('fill', minp[i], minp[i+1],r,32)
			n=n+1
		end
	end
	
	local n = 60
	for i,v in ipairs(numbermp) do
		if i/2 ~= math.floor(i/2) and i < #numbermp-2 then --in x
			if n == time.m then
				love.graphics.setFont(font30)
				love.graphics.setColor(255,64,0,255)
				love.graphics.print(n, numbermp[i], numbermp[i+1],0,1,1,(love.graphics.getFont():getWidth(n)/2),(love.graphics.getFont():getHeight()/2))
			end
			n = n-1
		end
	end

	local n = 12
	for i,v in ipairs(numberp) do
		if i/2 ~= math.floor(i/2) and i < #numberp-2 then --in x
			love.graphics.setColor(0, 16, 32, 255)
			love.graphics.setFont(font)
			local d=2
			if time.h == n then
				love.graphics.setFont(font80)
				love.graphics.setColor(255,64,0,255)
				d=1
				love.graphics.print(n, numberp2[i], numberp2[i+1],0,1,1,(love.graphics.getFont():getWidth(n)/2),(love.graphics.getFont():getHeight()/2))
			else
				love.graphics.print(n, numberp[i], numberp[i+1],0,1,1,(love.graphics.getFont():getWidth(n)/2),(love.graphics.getFont():getHeight()/2))
			end
			n = n-1
		end
	end

	love.graphics.setColor(0, 128,128, 255)
	love.graphics.setFont(font80)
	love.graphics.print(time.state,400,400,0,1,1,(love.graphics.getFont():getWidth(time.state)/2),(love.graphics.getFont():getHeight()/2))

	if show then
		love.graphics.setColor(255,128,0,255)
		love.graphics.line(400,400,min[1],min[2])
	end
end

function newCircle(x,y,r,n)
	local a = 360/n
	local p = {x,y-r}

	for i=1,n do
		p[#p+1] = rotatePoint(p[1],p[2],x,y,a*i)[1]
		p[#p+1] = rotatePoint(p[1],p[2],x,y,a*i)[2]
	end

	return p
end

function rotatePoint(px,py,cpx,cpy,angle)
	angle = math.rad(angle)
	local s = math.sin(angle)
	local c = math.cos(angle)

	local px = px - cpx
	local py = py - cpy

	--local xnew = px * c - py * s
	--local ynew = px * s - py * c

	local xnew = px * c + py * s
	local ynew = -px * s + py * c
	
	return {xnew+cpx,ynew+cpy}
end

function love.keyreleased(k)
	if k == ' ' then
		show = not show
	end
end